Package: vorbis-tools
Version: 1.1.1-3
Severity: wishlist

Please consider including the attached script with the package.

-- System Information:
Debian Release: testing/unstable
  APT prefers stable
  APT policy: (700, 'stable'), (600, 'testing'), (98, 'unstable'), (1, 
'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15-1-686
Locale: LANG=en_GB, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)

Versions of packages vorbis-tools depends on:
ii  libao2                        0.8.6-3    Cross Platform Audio Output Librar
ii  libc6                         2.3.6-2    GNU C Library: Shared libraries an
ii  libcurl3-gnutls               7.15.1-1   Multi-protocol file transfer libra
ii  libflac7                      1.1.2-3.1  Free Lossless Audio Codec - runtim
ii  libogg0                       1.1.3-2    Ogg Bitstream Library
ii  liboggflac3                   1.1.2-3.1  Free Lossless Audio Codec - runtim
ii  libspeex1                     1.1.12-1   The Speex Speech Codec
ii  libvorbis0a                   1.1.2-1    The Vorbis General Audio Compressi
ii  libvorbisenc2                 1.1.2-1    The Vorbis General Audio Compressi
ii  libvorbisfile3                1.1.2-1    The Vorbis General Audio Compressi

vorbis-tools recommends no packages.

-- no debconf information

-- 
 .''`.     martin f. krafft <[EMAIL PROTECTED]>
: :'  :    proud Debian developer and author: http://debiansystem.info
`. `'`
  `-  Debian - when you have better things to do than fixing a system
 
Invalid/expired PGP (sub)keys? Use subkeys.pgp.net as keyserver!
 
"nullum magnum ingenium sine mixtura dementiae fuit."
                                                             -- seneca
#!/bin/sh -eu
#
# vorbistagedit -- allows batch editing of vorbis comments with an editor
#
# © 2006 martin f. krafft <[EMAIL PROTECTED]>
# Released under the terms of the artistic licence.
#

ME=${0##*/}

versioninfo() {
  echo "vorbistagedit 0.1 (2006.03.17.1015)" >&2
  echo "vorbistagedit is (c) 2006 martin f. krafft" >&2
  echo and released under the terms of the Artistic Licence. >&2
}

usage() {
  versioninfo
  echo
  echo Usage: $ME file1.ogg [file2.ogg [file3.ogg ...]] >&2
  echo
  echo If no filenames are given, the list of filenames >&2
  echo is read from stdin. >&2
}

for opt in $(getopt -n $ME -l version,help -o vVh? -- $@); do
  case $opt in
    --version|-V|-v)
      versioninfo
      exit 0;;
    --help|-h|-\?)
      usage
      exit 0;;
    --) :;;
    -*)
      exit 1;;
    *) :;;
  esac
done

if ! command -v vorbiscomment >/dev/null; then
  echo "$ME: vorbiscomment not found in \$PATH." >&2
  exit -1
fi

[ $# -eq 0 ] && set -- $(cat)

if [ $# -eq 0 ]; then
  echo "$ME: no files given." >&2
  exit 0
fi

TMPFILE=$(mktemp /tmp/vorbistagedit.XXXXXX)
trap "rm -f $TMPFILE" 0

cat <<_eof > $TMPFILE
# vorbistagedit
#
# Edit the lines in this file to your desire, but
# DO NOT touch lines starting with a colon (:)!
#
# We are in directory:
#  $(pwd)

_eof

for i in "$@"; do
  case $i in
    *.ogg)
      if [ ! -r $i ]; then
        echo "$ME: unreadable file - $i" >&2
        exit 1
      fi

      echo ": $i"
      vorbiscomment -l $i
      echo
      ;;

    *)
      echo "$ME: invalid argument - $i" >&2
      exit 2
      ;;
  esac
done >> $TMPFILE
echo : EOF >> $TMPFILE

${EDITOR:-editor} $TMPFILE

declare -a tags

write_tags() {
  local file=$1; shift
  for tag; do echo $tag; done | vorbiscomment -w $file
}

while read line; do
  case "$line" in
    ': EOF')
      write_tags "$file" "[EMAIL PROTECTED]";;

    :*)
      if [ -n "${file:-}" ]; then
        write_tags "$file" "[EMAIL PROTECTED]"
        tags=()
      fi
      file="${line#: }";;

    *=*)
      [EMAIL PROTECTED]"$line";;

    *|'#*') :;;
  esac
done < $TMPFILE

rm -f $TMPFILE
trap - 0

exit 0

Attachment: signature.asc
Description: Digital signature (GPG/PGP)

Reply via email to